#
# spec file for package attica-qt5
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum   5
%define rname attica
%define _libname KF5Attica
%define _tar_path 5.26
Name:           attica-qt5
Version:        5.26.0
Release:        2.3
Summary:        Open Collaboration Service client library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            https://projects.kde.org/attica
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{rname}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  pkg-config
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5Network) >= 5.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Attica is a library to access Open Collaboration Service servers.

%package -n lib%{_libname}%{sonum}
Summary:        Open Collaboration Service client library - development files
Group:          System/GUI/KDE
%requires_ge libQt5Core5
%requires_ge libQt5Network5

%description -n lib%{_libname}%{sonum}
Attica is a library to access Open Collaboration Service servers.

%package -n attica-qt5-devel
Summary:        Open Collaboration Service client library - development files
Group:          Development/Libraries/C and C++
Requires:       lib%{_libname}%{sonum} = %{version}
Requires:       cmake(Qt5Core) >= 5.5.0
Requires:       cmake(Qt5Network) >= 5.5.0

%description -n attica-qt5-devel
Development files for attica, Attica a library to access Open Collaboration Service servers.

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%post -n lib%{_libname}%{sonum} -p /sbin/ldconfig

%postun -n lib%{_libname}%{sonum} -p /sbin/ldconfig

%files -n lib%{_libname}%{sonum}
%defattr(-,root,root)
%doc COPYING* README*
%{_libqt5_libdir}/lib%{_libname}*.so.*

%files -n attica-qt5-devel
%defattr(-,root,root)
%{_kf5_libdir}/cmake/KF5Attica/
%{_libqt5_libdir}/lib%{_libname}*.so
%{_libqt5_libdir}/pkgconfig/libKF5Attica.pc
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_Attica.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * Add Qt5Network as a public dependency
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug 21 2016 jengelh@inai.de
- Do not rely on pkg-config being pulled in by something else;
  make sure pkgconfigdeps.sh runs without a doubt.
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * Follow HTTP redirects
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Make it actually possible to tell providers from the url
    we were given
  * Provide QDebug helpers for some Attica classes
  * Fix redirection of absolute Urls (kde#354748)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Properly check if a URL is a local file
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Add const variant to getter method
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * Simplify attica plugin look-up and initialization
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
- Add Source URL
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Use all of QT_PLUGIN_PATH paths rather than just QLibraryInfo
    path to look for plugins
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * Fix build with Qt 5.4
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Sun Jul 27 2014 hrvoje.senjan@gmail.com
- Harden required Qt5 libs versions
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Update to 4.96.0
  * attica is now a part of KDE Frameworks libraries
  * adjust baselibs for soname change
* Wed Nov 27 2013 hrvoje.senjan@gmail.com
- Update to git snapshot
  * Qt5 support
- Enable Qt5 build
* Thu Jun 13 2013 hrvoje.senjan@gmail.com
- Update to version 0.4.2
  * Do HTTP basic authentication the right way
  * Add API to get the URL for registering an account from the
    providers file
  * Qt5 build fixes
* Tue Nov 20 2012 cgiboudeaux@gmx.com
- Fix installation on SLES
* Thu Aug 23 2012 mlin@suse.com
- fix baselibs.conf
* Mon Aug 20 2012 mlin@suse.com
- Update to version 0.4.1
  * Add some Qt5 support in tests
  * Comment out some qDebug calls
  * Fix various Qt5 issues
* Mon Jul 16 2012 dev@dominik-schmidt.de
- update to 0.4.0:
  * fixes for proxy support
* Wed Jan 25 2012 coolo@suse.com
- fix baselibs.conf after library name change
* Fri Jan 20 2012 crrodriguez@opensuse.org
- Build with -fvisibility-inlines-hidden (around 50 symbols less)
- libattica-devel Requires: libqt4-devel
* Tue Jan 10 2012 idonmez@suse.com
- Fix library name
* Wed Jan  4 2012 dmueller@suse.de
- update to 0.3.0:
  - Bump soname from .0 to .0.3 since we have a BIC change.
  - Fix upload errors resulting from content-id not being set.
  - Add Forum, Achievement, services and related dependencies.
  - Make it build against Qt 4.8.
  - Add static build option
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Add libattica-devel to baselibs
* Wed Aug 24 2011 andrea.turrini@gmail.com
- fixed sentence in attica.spec
* Thu Nov 25 2010 tittiatcoke@gmail.com
- update to 0.2.2
  * add support for openSUSE OBS
* Mon Oct 18 2010 tittiatcoke@gmail.com
- Update to 0.2.0
  * final release
* Fri Sep 10 2010 johannesobermayr@gmx.de
- update to released 0.1.91 tarball
  - makes gluon compile against K:D:F
* Fri Sep 10 2010 tittiatcoke@gmail.com
- update to 0.1.91 (0.2.0-rc1)
  - Update voting function (add overload) to take uint 0..100
    according to ocs 1.6 spec
  - Add comments interface to request comments, add new comments
    and vote for comments
  - Add distribution interface to request distributions available
    in the server
  - Add homepagetype interface to request home page types from
    the server
  - Add methods to access home page entries in content
  - Add support of icons to content (OCS 1.6)
  - Add support of videos to content (OCS 1.6)
  - Add summary description to content (OCS 1.6)
  - Add size to download description (OCS 1.6)
  - Add fields to download item for package name, package repository,
    gpg fingerprint, mimetype (OCS 1.6)
* Tue Aug 17 2010 tittiatcoke@gmail.com
- update to a new svn snapshot of the upcoming 0.2.0
  * beginning of the attributes API
  * make it clear that attributes belongs to persons
  * improve apidox
  * bugfixes (bko#243168,)
  * new voting api for ocs 1.6
  * Added comments interface to request comments, add new
    comments and vote for comment
  * Added distribution interface to request distributions
    available in the server
  * Added homepagetype interface to request home page types
    from the server
  * Added support of icons to content (OCS 1.6)
  * Added support of videos to content (OCS 1.6)
  * Added summary description to content (OCS 1.6)
  * Added size to download description (OCS 1.6)
  * Added fields to download item for package name, package
    repository, gpg fingerprint, mimetype (OCS 1.6)
  * Added methods to access home page entries in a content
* Wed May 19 2010 dmueller@suse.de
- update to released 0.1.4 tarball:
  - includes upstream changelog (no code change)
* Fri May  7 2010 tittiatcoke@gmail.com
- update to 0.1.4 (trunk)
  - Remove function decls without body introduced in 0.1.3
  - Add functions to check for provider services (parts of the api
    they implement)
  - Make adding, disabling and removing default providers possible
    (so we can have other providers than openDesktop.org)
* Fri May  7 2010 dmueller@suse.de
- update to 0.1.3:
  - Add possibility to get Licenses from server
  - Add search for contents by username
  - Add convenience function to get list of download links and fix some related strings
  - Fix qt-only hasCredentials
  - Win and Mac compile/link fixes
  - Fix crash when multiple apps would use attica simultaneously: do not delete root component of qtplugins
* Mon Apr 26 2010 ro@suse.de
- try to fix version in pkgconfig file
* Thu Jan 14 2010 dmueller@suse.de
- update to 0.1.2:
  - Don't define qHash for QUrl in Qt 4.7
  - fix memlead for aborted requests
  - qt platform plugin implements basic password/user name handling
  - copying file: lesser gpl 2.1
  - don't link qtgui without reason
  - make hasCredentials const (new function
* Thu Dec 31 2009 dmueller@suse.de
- add libattica0 baselibs, needed for libkde4
* Fri Dec 18 2009 dmueller@suse.de
- packaging cleanups
* Tue Dec 15 2009 wstephenson@novell.com
- Update to released stable version 0.1.1
* Mon Dec 14 2009 tittiatcoke@gmail.com
- update to svn1060455
* Sat Dec  5 2009 tittiatcoke@gmail.com
- update to svn1058931
* Fri Nov 27 2009 wstephenson@novell.com
- Update to svnr1054392
* Fri Nov 20 2009 wstephenson@novell.com
- Initial version
